<?php
/*
Easy_Framework 0.1
xmlÅäÖÃ½âÎö³ÌÐò
*/
 class Easy_Config_Xml implements Easy_Config_Interface {
 	public $data;
 	public function set($filename, $sec=''){
 		if ($sec){
	 		$this->data = simplexml_load_file($filename)->$sec;
 		}else{
 			$this->data = simplexml_load_file($filename);
 		}
 	}
	public function __get($name){
		if (is_null($name)){
			return $this->data;
		}else{
			return iconv('UTF-8', 'gb2312', $this->data->$name);
		}
		
	}
}